# Uses of Class
org.apache.commons.math3.ode.EquationsMapper

Packages that use EquationsMapper
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of EquationsMapper in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return EquationsMapper
Modifier and Type
Method
Description
`EquationsMapper`
ExpandableStatefulODE.`getPrimaryMapper()`
Get an equations mapper for the primary equations set.
`EquationsMapper[]`
ExpandableStatefulODE.`getSecondaryMappers()`
Get the equations mappers for the secondary equations sets.

## Uses of EquationsMapper in org.apache.commons.math3.ode.sampling

Methods in org.apache.commons.math3.ode.sampling with parameters of type EquationsMapper
Modifier and Type
Method
Description
`protected void`
AbstractStepInterpolator.`reinitialize(double[] y, boolean isForward, EquationsMapper primary, EquationsMapper[] secondary)`
Reinitialize the instance
`void`
NordsieckStepInterpolator.`reinitialize(double[] y, boolean forward, EquationsMapper primaryMapper, EquationsMapper[] secondaryMappers)`
Reinitialize the instance.
Constructors in org.apache.commons.math3.ode.sampling with parameters of type EquationsMapper
Modifier
Constructor
Description
`protected`
`AbstractStepInterpolator(double[] y, boolean forward, EquationsMapper primaryMapper, EquationsMapper[] secondaryMappers)`
Simple constructor.